/*
 * @Author: zhou lei
 * @Date: 2022-10-10 15:40:04
 * @LastEditTime: 2022-10-12 11:35:25
 * @LastEditors: zhou lei
 * @Description:
 * @FilePath: \hgwms-factory-app\src\pages\product\STO-Outbound\model.ts
 * 联系方式:910592680@qq.com 18669792120 科海达信息技术有限公司
 */
import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'product.STO.STO-Outbound.index',
})
export class ReceiptModule extends VuexModule {
  //越南 STO出库 扫描DN单号
  stoNoList: any = [];
  stoItemList: any = [];
  res: any = '';
  @MutationAction
  async QuerySto(stoNo: any) {
    console.log('stoNo', stoNo);
    const res: any = await http.post(url.outbound.stoOutbound.stoQuery, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      stoNo,
    });
    const stoNoList = res.data;
    const stoItemList = [];
    stoNoList.forEach((item: any) => {
      const obj = {
        value: item.stoItem, //行项目
        lable: item.stoItem,
      };
      stoItemList.push(obj);
    });
    return { stoNoList, stoItemList };
  }
  //越南sto成品扫码出库
  @MutationAction
  async stoScan(list: any) {
    const res: any = await http.post(url.outbound.stoOutbound.stoScan, list);
    //const resCode = res.code;
    return { res };
  }
  //越南 STO出库 查询库位
  LocList: any = [];
  @MutationAction
  async QueryLoc(sendSpot: any) {
    const res: any = await http.post(url.auth.query.queryByFactoryCodeAndWorkAreaCode, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      workArea: session.workareaCode,
      sendSpot,
    });
    const LocList = [];
    res.forEach((item: any) => {
      const obj = {
        value: item.locationCode,
        lable: item.locationCode,
      };
      LocList.push(obj);
    });
    return { LocList };
  }
  //越南 sto确认
  ReturnCode: any = '';
  @MutationAction
  async ConfirmList(list: any) {
    const res: any = await http.post(url.outbound.stoOutbound.stoConfirm, list);
    const ReturnCode = res.code;
    return { ReturnCode };
  }
  //越南 出库提交
  SubCode: any = '';
  @MutationAction
  async SubmitList(list: any) {
    const res: any = await http.post(url.outbound.stoOutbound.stoPost, list);
    const SubCode = res.code;
    return { SubCode };
  }
}

export default getModule(ReceiptModule);
